petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSSetPostStep

Sets the general-purpose function called once at the end of each time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPostStep(TS ts, PetscErrorCode (*func)(TS))

Logically Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

    func (TS ts);

### Notes

The function set by TSSetPostStep() is called after each successful step. The solution vector X obtained by TSGetSolution() may be different than that computed at the step end if the event handler locates an event and TSPostEvent() modifies it. Use TSSetPostEvaluate() if an unmodified solution is needed instead.

### See Also

TSSetPreStep(), TSSetPreStage(), TSSetPostEvaluate(), TSGetTimeStep(), TSGetStepNumber(), TSGetTime(), TSRestartStep()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages